MDL-44118 question engine: Fix bad merge conflict resolution
authorDamyon Wiese <damyon@moodle.com>
Wed, 19 Feb 2014 01:35:57 +0000 (09:35 +0800)
committerDamyon Wiese <damyon@moodle.com>
Wed, 19 Feb 2014 01:35:57 +0000 (09:35 +0800)
Version numbers were out of order in upgrade file (my bad).

lib/db/upgrade.php

index a65020d..9cd3df1 100644 (file)
@@ -3032,16 +3032,16 @@ function xmldb_main_upgrade($oldversion) {
         upgrade_main_savepoint(true, 2014021800.00);
     }
 
-    if ($oldversion < 2014021300.01) {
+    if ($oldversion < 2014021900.01) {
         // Force uninstall of deleted tool.
         if (!file_exists("$CFG->dirroot/$CFG->admin/tool/qeupgradehelper")) {
             // Remove all other associated config.
             unset_all_config_for_plugin('tool_qeupgradehelper');
         }
-        upgrade_main_savepoint(true, 2014021300.01);
+        upgrade_main_savepoint(true, 2014021900.01);
     }
 
-    if ($oldversion < 2014021300.02) {
+    if ($oldversion < 2014021900.02) {
 
         // Define table question_states to be dropped.
         $table = new xmldb_table('question_states');
@@ -3052,7 +3052,7 @@ function xmldb_main_upgrade($oldversion) {
         }
 
         // Main savepoint reached.
-        upgrade_main_savepoint(true, 2014021300.02);
+        upgrade_main_savepoint(true, 2014021900.02);
     }
 
     if ($oldversion < 2014021900.00) {